Table of Contents

## Name

im_sign - find the unit vector in the direction of value

## Synopsis

#include <vips/vips.h>

int im_sign( in, out )
IMAGE *in, *out;

## Description

im_sign(3) finds the unit vector in the direction of the pixel value. For non-complex images, it returns a signed char image with values -1, 0, and 1 for negative, zero and positive pixels. For complex images it returns a complex normalised to length 1.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_abs(3) , im_cmulnorm(3) , im_c2amph(3)

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also